Subject: [PATCH v2 2/3] [ARM] tegra: add PCI Express support

From: [email-masked] (Arnd Bergmann)
Date: Tue, 21 Sep 2010 15:33:22 +0200

On Tuesday 21 September 2010, Pawel Moll wrote:
> >>  #define __io(a)         __io(a)
> >>  #define __mem_pci(a)    (a)
> > 
> > I wonder what the #else path is for. If you don't have PCI, who would
> > call __io? And wouldn't that result in a NULL pointer dereference?
> 
> If I remember correctly the legacy IDE (ATA) code is scanning "well
> known" IO port numbers...

Right, that's the sort of thing I was worried about. I don't think
IDE is a problem here though, because it would only get probed
if you have a PCI/system/platform/of device registered to the
system, which normally doesn't happen.

	Arnd